Page MenuHomePhabricator

Warning: Compilation failed: number too big in {} quantifier in ExtractFormatter::getFirstChars
Closed, ResolvedPublic

Description

Warning: Compilation failed: number too big in {} quantifier at offset 9 in /srv/mediawiki/php-1.28.0-wmf.14/extensions/TextExtracts/includes/ExtractFormatter.php on line 123

https://github.com/wikimedia/mediawiki-extensions-TextExtracts/blob/wmf/1.28.0-wmf.14/includes/ExtractFormatter.php#L123

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 12:29 AM
MBinder_WMF triaged this task as Normal priority.Aug 18 2016, 8:18 PM
Jdlrobson raised the priority of this task from Normal to High.Nov 2 2016, 8:41 PM
Jdlrobson added a subscriber: Jdlrobson.

Someone needs to update the description with a link to an example in logstash so that we can identify replication steps and whether this error is user facing. Sounds like certain API clients (who?) are requesting longer extracts then they should.

Change 331572 had a related patch set uploaded (by MaxSem):
getFirstChars(): don't use quantifiers with user-supplied count

https://gerrit.wikimedia.org/r/331572

Change 331572 merged by jenkins-bot:
getFirstChars(): don't use quantifiers with user-supplied count

https://gerrit.wikimedia.org/r/331572

MaxSem closed this task as Resolved.Jan 20 2017, 1:56 AM
MaxSem claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:11 PM